#!/usr/bin/tclsh
#!/usr/bin/wish

# Use tcllib
# If tcllib is installed in extra-ordinary directory, uncomment following directory then correct it.
# lappend auto_path /usr/local/lib/tcllib1.7
package require irc 

# namespace for loop
namespace eval ircclient {
    # Set your default server
    set server "irc.hanirc.org"
    set port "6667"

    # Set your default channel
    set channels [list # #kldp.net]

    # Set the nick in English and Kor
    set EngNick "bearfox"
    set KorNick ""

    # Set the administrator's nickname
    set Admin "ƺ"

    # connection name ; cn
    set cn [::irc::connection]
    # connection mode , and logging status configuration
    #::irc::config logger 1
    #::irc::config debug 1
    # Connect to the server.
    $cn connect $server $port
    $cn user BearFox localhost domain "bearfox.kldp.net"
    $cn nick $EngNick
    # Take a loop
    while { 1 } {
	source mainloop.tcl
	# Loop endless way, because there's no var;::ircclient::EndlessLoop.
	vwait ::ircclient::EndlessLoop
    }
}

