#
# Read RSS Feeds
#

package require http
package require htmlparse

proc RSS_Fetch {url} {
    set tok [http::geturl $url]
    set res [http::data $tok]
    http::cleanup $tok
    return $res
}

proc RSS_UTFtoCP949 {data} {
    set data [encoding convertfrom cp949 $data]
    return $data
}

proc RSS_ReadTitle {data} {
    regexp {<title>(.*?)</title>} $data -> title
    return $title
}

proc RSS_ReadDescription {data} {
    regexp {<description>(.*?)</description>} $data -> description
    return $description
}

# proc RSS_ReadItems {data} {
#     regexp {<item rdf:about="(.*?)">(.*?)</item>} $data -> item(url1) item(contents1)
#     #puts $item(url1)
#     #puts $item(contents1)
#     return $item
# }

set data [RSS_Fetch "http://jangnan.st/moniwiki/wiki.php/RecentChanges?action=rss_rc"]
set data [RSS_UTFtoCP949 $data]
set title [RSS_ReadTitle $data]
set description [RSS_ReadDescription $data]

#following dirty code should be updated
regexp {<item rdf:about="(.*?)">(.*?)</item>(.*?)<item rdf:about="(.*?)">(.*?)</item>(.*?)<item rdf:about="(.*?)">(.*?)</item>(.*?)<item rdf:about="(.*?)">(.*?)</item>(.*?)<item rdf:about="(.*?)">(.*?)</item>} $data -> item(url1) item(contents1) -> item(url2) item(contents2) -> item(url3) item(contents3) -> item(url4) item(contents4) -> item(url5) item(contents5)
# puts $item(url1)
# puts $item(contents1)
regexp {<title>(.*?)</title>} $item(contents1) -> item(title1)
puts $item(title1)
regexp {<dc:date>(.*?)</dc:date>} $item(contents1) -> item(time1)
puts $item(time1)
regexp {<dc:creator>(.*?)</dc:creator>} $item(contents1) -> item(creator1)
puts $item(creator1)

puts $item(url2)
puts $item(contents2)
puts $item(url3)
puts $item(contents3)
puts $item(url4)
puts $item(contents4)
puts $item(url5)
puts $item(contents5)
