#!/usr/bin/tclsh

# Do works for one by one, not mores at once
if {[info exists channel_userlist] == 0} {

    # use global channel's user list
    global channel_userlist
    set channel_userlist {}
    set allopchannel [target]

    # request the channel's user list
    $ircclient::cn send "NAMES [target]"

    # wait until userlist is updated
    vwait channel_userlist

    # if userlist is updated, give them a op flag
    foreach channel_userlist_each $channel_userlist {
	$ircclient::cn mode $allopchannel "+o" $channel_userlist_each
	#	puts "+op $channel_userlist_each"
    }

    # finish it
    unset channel_userlist
}